Support » Plugin: Better Font Awesome » Outdated Version. What’s the point?

  • What’s the point of a plugin that promises to fetch the latest version of Font Awesome and it actually gives you a 1-year-old version (4.7)?
    Version 5.0 has been out since December 2017, we are at version 5.1 now in July 2018 and you’re still providing an old one.

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author Mickey Kay

    (@mcguive7)

    Hi @filippologli,

    I hear your frustration, however if you check the support forums you’ll see that there’s a beta version which supports FA 5+ that’s currently available for testing. So – problem solved! The reason it hasn’t been fully released yet is that I want to ensure it’s stable for the wide variety of systems/versions/plugin-combinations that the 100,000+ users of BFA have backing their websites. I definitely encourage you to check out the beta version. It should give you everything you need, and will help me to ensure that BFA is working for everyone!

    Thanks! Let me know how it goes.

    P.S. in case you can’t find it: https://wordpress.org/support/topic/bfa-2-beta-ready-for-testing/

    • This reply was modified 8 months, 1 week ago by  Mickey Kay.

    I know you have a Beta version, but, still, the goal of your plugin should be AUTOMATION, which means, I click Install and it just works, I don’t have to mess around with FTP or manual installation, otherwise I can just go ahead and install the new Font Awesome version myself (which I did).

    I just found another plugin that does the same thing as yours by adding a line to Functions.php calling the latest FA stylesheet, and that’s it, it just works, no beta testing, no waiting. It’s just a set of icons, after all.

    @filippologli no affiliation with the plugin (it is an open-source plugin anyway) but your 1 star rating makes no sense, you maybe do not realize “the latest version” of Font Awesome is not really needed, and many still prefer the older 4 version. Version 5 also renames a lot of icons, and removes some of the -o (outlines) versions of the icons which are now only available in the PRO (paid) version.

    You could mention you always wanted the latest version and maybe even rate the plugin with something like 4 stars, but one? What do you rate a plugin that is broken or brakes your website?

    @bg17aw So your contribution to this thread is to judge the fairness of my rating according to your criteria?

    Anyway, I still think my rating perfectly fits this plugin.

    you maybe do not realize “the latest version” of Font Awesome is not really needed, and many still prefer the older 4 version

    Still, that’s your opinion, which is in contrast with the promise of the plugin to always provided the LATEST version of FontAwesome. It’s not a matter of chosing which version is best for you or for me, the plugin says it will give you the latest one and it doesn’t, simple as that.

    If a plugin that promises to fetch the latest version of FA doesn’t do it, then it’s useless and is worth 1 star to me.

    Maybe the developer could just change the description and say that it will provide version 4 because they think it’s better, even if it’s outdated, so don’t expect the latest version. That would be just fair.

    Cheers

Viewing 4 replies - 1 through 4 (of 4 total)
  • You must be logged in to reply to this review.